Bug 1031531 - Review Request: ghc-scotty - Haskell web framework inspired by Ruby's Sinatra, using WAI and Warp
Review Request: ghc-scotty - Haskell web framework inspired by Ruby's Sinatra...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 03:41 EST by Ricky Elrod
Modified: 2013-12-31 14:01 EST (History)
2 users (show)

See Also:
Fixed In Version: ghc-scotty-0.5.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-31 14:01:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
ghc-scotty.spec-1.patch (1.10 KB, patch)
2013-11-20 00:12 EST, Jens Petersen
no flags Details | Diff

  None (edit)
Description Ricky Elrod 2013-11-18 03:41:29 EST
Spec URL: http://codeblock.fedorapeople.org/packages/ghc-scotty/ghc-scotty.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/ghc-scotty/ghc-scotty-0.5.0-1.fc20.src.rpm
Description:
A Haskell web framework inspired by Ruby's Sinatra, using WAI and Warp.

Scotty is the cheap and cheerful way to write RESTful, declarative web
applications.

* A page is as simple as defining the verb, url pattern, and Text content.

* It is template-language agnostic. Anything that returns a Text value will do.

* Conforms to WAI Application interface.

* Uses very fast Warp webserver by default.

As for the name: Sinatra + Warp = Scotty.

[WAI] <http://hackage.haskell.org/package/wai>

[Warp] <http://hackage.haskell.org/package/warp>.

Fedora Account System Username: codeblock
Comment 1 Jens Petersen 2013-11-19 05:32:38 EST
Basically looks fine so far - only comment is the summary and description
are both a little bit long.
Comment 2 Jens Petersen 2013-11-19 23:51:21 EST
I note for the record that the examples include a copy of jquery.js.
Though it is not used directly by scotty itself so maybe it is okay.
Comment 3 Jens Petersen 2013-11-20 00:12:45 EST
Created attachment 826439 [details]
ghc-scotty.spec-1.patch

This is just a suggestion for how the summary/description could be made
more concise: doesn't block the review.
Comment 4 Jens Petersen 2013-11-20 00:19:04 EST
Package APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====
C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.

jquery is not part of the scotty library, so I believe this is ok.
One of the examples include in devel/doc does use jquery though.

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 593920 bytes in 36 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
Generic:
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: ghc-scotty-0.5.0-1.fc21.x86_64.rpm
          ghc-scotty-devel-0.5.0-1.fc21.x86_64.rpm
          ghc-scotty-0.5.0-1.fc21.src.rpm
ghc-scotty.x86_64: W: spelling-error %description -l en_US url -> URL, curl, purl
ghc-scotty.x86_64: W: spelling-error %description -l en_US webserver -> web server, web-server, observer
ghc-scotty.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-scotty.x86_64: W: spelling-error %description -l en_US hackage -> package, hack age, hack-age
ghc-scotty.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
ghc-scotty.x86_64: W: spelling-error %description -l en_US wai -> wain, wait, wail
ghc-scotty.x86_64: W: incoherent-version-in-changelog 0.5.0 ['0.5.0-1.fc21', '0.5.0-1']

Please add a changelog entry!

ghc-scotty.src: W: spelling-error %description -l en_US url -> URL, curl, purl
ghc-scotty.src: W: spelling-error %description -l en_US webserver -> web server, web-server, observer
ghc-scotty.src: W: spelling-error %description -l en_US http -> HTTP
ghc-scotty.src: W: spelling-error %description -l en_US hackage -> package, hack age, hack-age
ghc-scotty.src: W: spelling-error %description -l en_US haskell -> Haskell
ghc-scotty.src: W: spelling-error %description -l en_US wai -> wain, wait, wail
3 packages and 0 specfiles checked; 0 errors, 13 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-scotty ghc-scotty-devel
ghc-scotty.x86_64: W: spelling-error %description -l en_US url -> URL, curl, purl
ghc-scotty.x86_64: W: spelling-error %description -l en_US webserver -> web server, web-server, observer
ghc-scotty.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-scotty.x86_64: W: spelling-error %description -l en_US hackage -> package, hack age, hack-age
ghc-scotty.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
ghc-scotty.x86_64: W: spelling-error %description -l en_US wai -> wain, wait, wail
ghc-scotty.x86_64: W: incoherent-version-in-changelog 0.5.0 ['0.5.0-1.fc21', '0.5.0-1']
2 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-scotty (rpmlib, GLIBC filtered):
    ghc(aeson-0.6.1.0-54e9b7c11ff37bac123e0692d78b4911)
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(blaze-builder-0.3.1.1-71a2ae53eb5daf9e6673db8b47b3b6b5)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(case-insensitive-1.0.0.1-8197cca28df7b64ce14358bcb2e8fb7b)
    ghc(conduit-1.0.3-ec7ca59ed34ff9b35dbcaf5ab02fcbd0)
    ghc(data-default-0.5.1-3dcf8b1e18d6ff182bcfe57129991c1d)
    ghc(http-types-0.8.0-6b360a20eef84a16b35dc479214b5b74)
    ghc(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc(regex-compat-0.95.1-121c7124a3abcea107e3885c2f37e0cf)
    ghc(resourcet-0.4.6-8296622f1d6e2f65b1154a5d5c64a0b9)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc(wai-1.4.0.1-7460fb49eef9c2620512bd2c4a068ae2)
    ghc(wai-extra-1.3.3.2-3a9e6d68f70f3dabfadeb7de334a0af7)
    ghc(warp-1.3.8.2-97a9c3ec8d55ef420e8f1684856d4e1b)
    libHSaeson-0.6.1.0-ghc7.6.3.so()(64bit)
    libHSansi-terminal-0.6-ghc7.6.3.so()(64bit)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSattoparsec-0.10.4.0-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbase-unicode-symbols-0.2.2.4-ghc7.6.3.so()(64bit)
    libHSblaze-builder-0.3.1.1-ghc7.6.3.so()(64bit)
    libHSblaze-builder-conduit-1.0.0-ghc7.6.3.so()(64bit)
    libHSbyteorder-1.0.4-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScase-insensitive-1.0.0.1-ghc7.6.3.so()(64bit)
    libHSconduit-1.0.3-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdata-default-0.5.1-ghc7.6.3.so()(64bit)
    libHSdate-cache-0.3.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdirectory-1.2.0.1-ghc7.6.3.so()(64bit)
    libHSdlist-0.5-ghc7.6.3.so()(64bit)
    libHSfast-logger-0.3.1-ghc7.6.3.so()(64bit)
    libHSfilepath-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHShashable-1.1.2.5-ghc7.6.3.so()(64bit)
    libHShttp-types-0.8.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSlifted-base-0.2.1.0-ghc7.6.3.so()(64bit)
    libHSmonad-control-0.3.2.1-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSnetwork-2.4.1.2-ghc7.6.3.so()(64bit)
    libHSnetwork-conduit-1.0.0-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSold-time-1.1.0.1-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.6.3.so()(64bit)
    libHSprimitive-0.5.0.1-ghc7.6.3.so()(64bit)
    libHSregex-base-0.93.2-ghc7.6.3.so()(64bit)
    libHSregex-compat-0.95.1-ghc7.6.3.so()(64bit)
    libHSregex-posix-0.95.2-ghc7.6.3.so()(64bit)
    libHSresourcet-0.4.6-ghc7.6.3.so()(64bit)
    libHSsemigroups-0.8.5-ghc7.6.3.so()(64bit)
    libHSsimple-sendfile-0.2.11-ghc7.6.3.so()(64bit)
    libHSstringsearch-0.3.6.4-ghc7.6.3.so()(64bit)
    libHSsyb-0.4.0-ghc7.6.3.so()(64bit)
    libHStemplate-haskell-2.8.0.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHStransformers-base-0.4.1-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libHSunix-compat-0.4.1.1-ghc7.6.3.so()(64bit)
    libHSunix-time-0.1.8-ghc7.6.3.so()(64bit)
    libHSunordered-containers-0.2.3.0-ghc7.6.3.so()(64bit)
    libHSvault-0.2.0.4-ghc7.6.3.so()(64bit)
    libHSvector-0.10.0.1-ghc7.6.3.so()(64bit)
    libHSvoid-0.5.11-ghc7.6.3.so()(64bit)
    libHSwai-1.4.0.1-ghc7.6.3.so()(64bit)
    libHSwai-extra-1.3.3.2-ghc7.6.3.so()(64bit)
    libHSwai-logger-0.3.1-ghc7.6.3.so()(64bit)
    libHSwarp-1.3.8.2-ghc7.6.3.so()(64bit)
    libHSzlib-0.5.4.1-ghc7.6.3.so()(64bit)
    libHSzlib-bindings-0.1.1.3-ghc7.6.3.so()(64bit)
    libHSzlib-conduit-1.0.0-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

ghc-scotty-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(scotty-0.5.0-117ed8e4e8b6b9dbfbf7d3328526c060)
    ghc-compiler
    ghc-devel(aeson-0.6.1.0-54e9b7c11ff37bac123e0692d78b4911)
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(blaze-builder-0.3.1.1-71a2ae53eb5daf9e6673db8b47b3b6b5)
    ghc-devel(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc-devel(case-insensitive-1.0.0.1-8197cca28df7b64ce14358bcb2e8fb7b)
    ghc-devel(conduit-1.0.3-ec7ca59ed34ff9b35dbcaf5ab02fcbd0)
    ghc-devel(data-default-0.5.1-3dcf8b1e18d6ff182bcfe57129991c1d)
    ghc-devel(http-types-0.8.0-6b360a20eef84a16b35dc479214b5b74)
    ghc-devel(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc-devel(regex-compat-0.95.1-121c7124a3abcea107e3885c2f37e0cf)
    ghc-devel(resourcet-0.4.6-8296622f1d6e2f65b1154a5d5c64a0b9)
    ghc-devel(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc-devel(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc-devel(wai-1.4.0.1-7460fb49eef9c2620512bd2c4a068ae2)
    ghc-devel(wai-extra-1.3.3.2-3a9e6d68f70f3dabfadeb7de334a0af7)
    ghc-devel(warp-1.3.8.2-97a9c3ec8d55ef420e8f1684856d4e1b)
    ghc-scotty(x86-64)

Provides
--------
ghc-scotty:
    ghc(scotty-0.5.0-117ed8e4e8b6b9dbfbf7d3328526c060)
    ghc-scotty
    ghc-scotty(x86-64)
    libHSscotty-0.5.0-ghc7.6.3.so()(64bit)

ghc-scotty-devel:
    ghc-devel(scotty-0.5.0-117ed8e4e8b6b9dbfbf7d3328526c060)
    ghc-scotty-devel
    ghc-scotty-devel(x86-64)
    ghc-scotty-static

Unversioned so-files
--------------------
ghc-scotty: /usr/lib64/ghc-7.6.3/scotty-0.5.0/libHSscotty-0.5.0-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/scotty/0.5.0/scotty-0.5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 0cbabd621c00f55944d1663ab20114b9e660dd7f5c0b899217554f2ebd3dec9c
  CHECKSUM(SHA256) upstream package : 0cbabd621c00f55944d1663ab20114b9e660dd7f5c0b899217554f2ebd3dec9c

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1031531
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 5 Ricky Elrod 2013-11-20 17:55:32 EST
New Package SCM Request
=======================
Package Name: ghc-scotty
Short Description: Haskell web framework inspired by Ruby's Sinatra, using WAI and Warp
Owners: codeblock petersen
Branches: f20 f19 el6
InitialCC: haskell-sig
Comment 6 Gwyn Ciesla 2013-11-21 08:04:46 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-12-22 09:30:28 EST
ghc-scotty-0.5.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-scotty-0.5.0-2.fc20
Comment 8 Fedora Update System 2013-12-22 22:52:15 EST
ghc-scotty-0.5.0-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2013-12-31 14:01:51 EST
ghc-scotty-0.5.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.